|  | Home

# QtColorPropertyManager Class Reference

The QtColorPropertyManager provides and manages QColor properties. More...

     #include <QtColorPropertyManager>

Inherits QtAbstractPropertyManager.

- List of all members, including inherited members

## Public Functions

| QtColorPropertyManager ( QObject * parent = 0 )
| ~QtColorPropertyManager ()
QtIntPropertyManager * | subIntPropertyManager () const
QColor | value ( const QtProperty * property ) const

- 3 public functions inherited from QtAbstractPropertyManager
- 29 public functions inherited from QObject

## Public Slots

void | setValue ( QtProperty * property, const QColor & value )

- 1 public slot inherited from QObject

## Signals

void | valueChanged ( QtProperty * property, const QColor & value )

- 4 signals inherited from QtAbstractPropertyManager
- 1 signal inherited from QObject

## Reimplemented Protected Functions

virtual void | initializeProperty ( QtProperty * property )
virtual void | uninitializeProperty ( QtProperty * property )
virtual QIcon | valueIcon ( const QtProperty * property ) const
virtual QString | valueText ( const QtProperty * property ) const

- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 6 protected functions inherited from QtAbstractPropertyManager
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtColorPropertyManager provides and manages QColor properties.

A color property has nested red, green and blue subproperties. The top-level property's value can be retrieved using the value() function, and set using the setValue() slot.

The subproperties are created by a QtIntPropertyManager object. This manager can be retrieved using the subIntPropertyManager() function. In order to provide editing widgets for the subproperties in a property browser widget, this manager must be associated with an editor factory.

In addition, QtColorPropertyManager provides the valueChanged() signal which is emitted whenever a property created by this manager changes.

See also QtAbstractPropertyManager, QtAbstractPropertyBrowser, and QtIntPropertyManager.

## Member Function Documentation

### QtColorPropertyManager::QtColorPropertyManager ( QObject * parent = 0 )

Creates a manager with the given parent.

### QtColorPropertyManager::~QtColorPropertyManager ()

Destroys this manager, and all the properties it has created.

### void QtColorPropertyManager::initializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::initializeProperty().

### void QtColorPropertyManager::setValue ( QtProperty * property, const QColor & value ) `[slot]`

Sets the value of the given property to value. Nested properties are updated automatically.

See also value() and valueChanged().

### QtIntPropertyManager * QtColorPropertyManager::subIntPropertyManager () const

Returns the manager that produces the nested red, green and blue subproperties.

In order to provide editing widgets for the subproperties in a property browser widget, this manager must be associated with an editor factory.

See also QtAbstractPropertyBrowser::setFactoryForManager().

### void QtColorPropertyManager::uninitializeProperty ( QtProperty * property ) `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::uninitializeProperty().

### QColor QtColorPropertyManager::value ( const QtProperty * property ) const

Returns the given property's value.

If the given property is not managed by this manager, this function returns an invalid color.

See also setValue().

### void QtColorPropertyManager::valueChanged ( QtProperty * property, const QColor & value ) `[signal]`

This signal is emitted whenever a property created by this manager changes its value, passing a pointer to the property and the new value as parameters.

See also setValue().

### QIcon QtColorPropertyManager::valueIcon ( const QtProperty * property ) const `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::valueIcon().

### QString QtColorPropertyManager::valueText ( const QtProperty * property ) const `[virtual protected]`

Reimplemented from QtAbstractPropertyManager::valueText().